# Retrieve a model

> One model id with its price.

`GET https://api.gateway.clatterlabs.xyz/v1/models/{model}`

Returns one model. No key needed.

## Path parameters

- `model` (string, required): A model id, like `supercosmos-max`.

## Response

- `id` (string): The model id.
- `pricing` (object): `input` and `output` in USD per 1M tokens.

## Example request

```bash
curl "https://api.gateway.clatterlabs.xyz/v1/models/MODEL" \
  -H "Authorization: Bearer $CLATTER_API_KEY" \
  -H "X-Clatter-Account: $CLATTER_ACCOUNT_ID"
```

## Errors

| Status | Code | When |
| --- | --- | --- |
| `404` | `model_not_found` | Unknown model id. |
| `410` | `model_retired` | A retired model id (Line Code). See [Line Code retirement](/models/line-code-retired). |

## Example response

```json
{
  "id": "supercosmos-max",
  "object": "model",
  "created": 1793232000,
  "owned_by": "clatter-labs",
  "name": "SuperCosmos Max",
  "family": "SuperCosmos",
  "version": "1.1",
  "effort": "max",
  "description": "Plans and builds. Multi-step work, debugging and longer answers.",
  "capabilities": {
    "chat_completions": true,
    "streaming": true,
    "tools": true,
    "reasoning": true,
    "vision": false
  },
  "max_output_tokens": 32768,
  "pricing": {
    "currency": "USD",
    "unit": "1M tokens",
    "input": 1.8,
    "output": 3.8,
    "long_context": "Long-context input above 262K tokens: 1.5x"
  }
}
```


